Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039086
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-08-02 14:282018-08-16 12:23
ReporteranderarangurenView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR18Q4
StatusclosedFix in branchFixed in SCM revision377b28229d34
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039086: 'Web POS edit customer location button' and 'Web POS action create and edit customer' preferences are ignored when setting as N

Description"Web POS action create and edit customers" and "Web POS edit customer location button" preferences are set as Y by default at system level.
        When creating new as 'N' are ignored and is possible to create and edit a customer and edit location from POS terminal.
Steps To Reproduce1. Login into the backend, and create new entries in "Preferences" window:
            - "Web POS action create and edit customers" = N
            - "Web POS edit customer location button" = N
        2. Login into POS, open BP selector and "New customer" and "manage Address(es)" buttons are active, and feature available
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106175)
rqueralta (developer)
2018-08-07 14:52
edited on: 2018-08-07 14:53

To disable or enable the "* New Customer" button on BP selector popup is necessary put "Web POS create customer button" = N in "Preferences" window

(0106178)
hgbot (developer)
2018-08-07 15:48

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 377b28229d34dae3b6c565215bb7fadc1c9c38c4
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Aug 06 17:53:36 2018 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/377b28229d34dae3b6c565215bb7fadc1c9c38c4 [^]

Fixed issue 39086: 'Web POS edit customer location button' and 'Web POS action
create and edit customer' preferences are ignored when setting as N

-Added OBPOS_retail.editCustomers and OBPOS_retail.editCustomerLocationButton
preferences to enable or disable some buttons.

---
M web/org.openbravo.retail.posterminal/js/components/businesspartner_selector.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/subwindows/customers/customerdetailview.js
---
(0106293)
hgbot (developer)
2018-08-10 15:32

Repository: tools/automation/pi-mobile
Changeset: 570939bc7a06d6a41ad54a5906d276b0ac68445c
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Wed Aug 08 13:16:31 2018 -0400
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/570939bc7a06d6a41ad54a5906d276b0ac68445c [^]

Related to issue 39086: added automated test

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/TestIdPack.java
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/customer/I39086_VerifyCustomerButtonsWhenPreferenceInactive.java
---

- Issue History
Date Modified Username Field Change
2018-08-02 14:28 anderaranguren New Issue
2018-08-02 14:28 anderaranguren Assigned To => Retail
2018-08-02 14:28 anderaranguren Triggers an Emergency Pack => No
2018-08-02 20:47 rqueralta Assigned To Retail => rqueralta
2018-08-02 20:47 rqueralta Status new => scheduled
2018-08-07 11:20 martinsdan Issue Monitored: martinsdan
2018-08-07 14:52 rqueralta Note Added: 0106175
2018-08-07 14:52 rqueralta Note Edited: 0106175 View Revisions
2018-08-07 14:53 rqueralta Note Edited: 0106175 View Revisions
2018-08-07 15:48 hgbot Checkin
2018-08-07 15:48 hgbot Note Added: 0106178
2018-08-07 15:48 hgbot Status scheduled => resolved
2018-08-07 15:48 hgbot Resolution open => fixed
2018-08-07 15:48 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/377b28229d34dae3b6c565215bb7fadc1c9c38c4 [^]
2018-08-10 15:32 hgbot Checkin
2018-08-10 15:32 hgbot Note Added: 0106293
2018-08-16 12:23 marvintm Review Assigned To => marvintm
2018-08-16 12:23 marvintm Status resolved => closed
2018-08-16 12:23 marvintm Fixed in Version => RR18Q4


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker